FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Update end user

update a new end user

AI Actions
POST
/v1/end-users/{end_user_id}

update a new end user

Path Parameters

end_user_idstringrequired

ID of the end user

Request Body

application/json

abnstring

Australian Business Number (ABN) of the end user if they represent a business

emailstring

An End Users email address. This should be their primary email, as it is used for notifying the End User about their consents.

phonestring

An End Users Phone number in E.164 format

session_idstringrequired

ID of the session

Response Body

application/vnd.goa.error

application/vnd.goa.error

curl -X POST "https://api.fiskil.com/v1/end-users/eus-123" \  -H "Content-Type: application/json" \  -d '{    "abn": "51 824 753 556",    "email": "john_starmer@gmail.com",    "phone": "+614123456789",    "session_id": "ses-123"  }'
Empty
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}

Was this page helpful?

Create end userGet end user by ID